{ config, lib, ... }:
{
  options.system.nvidia.enable = lib.mkEnableOption "Enable the Nvidia graphics stack";

  config = lib.mkIf config.system.nvidia.enable {
    hardware.nvidia = {
      modesetting.enable = true;
      nvidiaSettings = false;
      open = true;
    };

    services.xserver.videoDrivers = [ "nvidia" ];
    nixpkgs.allowUnfreePackages = [ "nvidia-x11" ];
    boot.kernelParams = [ "nvidia_drm.fbdev=1" ]; # Experimental framebuffer allows tty access

    specialisation.nouveau.configuration.config.system.nvidia.enable = lib.mkForce false;
  };
}
