{ config, lib, pkgs, ... }:
{
  imports = [ ./nginx ];

  config = lib.mkIf config.services.transmission.enable {
    services.transmission = {
      credentialsFile = pkgs.writeText "credentials" config.secrets.transmissionCredFile;
      openPeerPorts = true;
      settings.rpc-authentication-required = true;
    };
    environment.persistence."/persist".directories = [ "/var/lib/transmission" ];
  };
}
